Subject: Re: [PATCH 5/8] powerpc/fsl-booke: Add initial silicon device tree for

From: Scott Wood <[email-masked]>
Date: Thu, 7 Mar 2013 11:47:50 -0600

On 03/07/2013 11:09:50 AM, Kumar Gala wrote:
>=20
> On Mar 5, 2013, at 6:15 PM, Scott Wood wrote:
>=20
> > On 03/05/2013 05:15:57 PM, Kumar Gala wrote:
> >> Enable a baseline T4240 SoC to boot.  There are several things =20
> missing
> >> from the device trees for T4240:
> >> * Thread support on e6500
> >
> > Why did threads get removed from the device tree?  It's supposed to =20
> describe hardware, not what Linux currently supports.
>=20
> will fix, was concerned if we'd be able to boot if they exited

I don't think it'd be a problem (and if it is, then fix Linux).

> >> +	device_type =3D "pci";
> >> +	#size-cells =3D <2>;
> >> +	#address-cells =3D <3>;
> >> +	bus-range =3D <0x0 0xff>;
> >> +	clock-frequency =3D <33333333>;
> >
> > This clock-frequency is not correct (I doubt it's needed at all).
>=20
> I can zero the field, but its spec'd by pci binding

If we aren't going to put a correct value in, is zero better than =20
omitting it entirely?

There are other properties in the PCI binding that we don't have, such =20
as slot-names.  I don't see any language in the PCI binding that says =20
one is required but the other isn't.

And shouldn't we be using the PCI express binding (device_type =3D =20
"pciex", or just get rid of it since this isn't real OF)?

-Scott=